<?php
/**
 * Displays header media
 *
 * @package WordPress
 * @subpackage Dragontheme
 * @since 1.0
 * @version 1.0
 */

// Title
  $title_dragontheme = get_bloginfo( 'name' );
  $description = get_bloginfo( 'description', 'display' );
  $icon_post='';
  $author='';
  $time='';

  if(is_single() || is_page()) {
    $title_dragontheme=get_the_title();
    $author=get_the_author();
    $time=(get_the_time('j M Y'));
    
    if(is_page()) $description='';
    else $description=$author.', '.$time;

    $format = get_post_format(get_the_ID());
    if ( false === $format ) {
      $format = '';
    }
    $icon_post="";
    if($format!="") {
      if($format=="link") $format="links";
      $icon_post='<span class="dashicons dashicons-format-'.$format.'"></span>';
    }

  }
  
  if(is_archive()) { 
    $title_dragontheme=get_the_archive_title();
    $description = get_the_archive_description();
  }

  if(is_search()) {
    if ( have_posts() ) $title_dragontheme=__( 'Search Results for:', 'dragontheme' ).' ' . get_search_query() ;
    else $title_dragontheme=__( 'Nothing Found', 'dragontheme' );
  }

  if(is_404()) {
    $title_dragontheme=__( 'Oops! That page can&rsquo;t be found', 'dragontheme' );
  }

?>

<div class="header">
  <div class="image-dragontheme-header"></div>
  <div class="header-top">
      <!-- logo -->

    <?php if(has_custom_logo()) the_custom_logo();

    else { ?>
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="logo"><?php bloginfo( 'name' ); ?></a>
    <?php 
    }

    if ( has_nav_menu( 'top' ) ) : ?>

              <?php get_template_part( 'template-parts/navigation/navigation', 'top' ); ?>

    <?php endif; ?>

</div>

  <div class="info">
    <h1><?php echo $title_dragontheme; ?></h1>

		<?php
	

	if ( $description || is_customize_preview() ) :
	?>
	<div class="meta">
	<p class="site-description"><?php echo $description; ?></p>
	</div>
	<?php endif; ?>
    
  <?php if ($icon_post!="") { ?>

    <div class="meta">

      <?php echo $icon_post; ?>

    </div>

  <?php } ?>

  </div>
  <a href="#start" id="section06"><span></span></a>
</div><!-- .custom-header -->
